Subject: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: João Távora <[email-masked]>
Date: Tue, 11 Apr 2023 21:25:41 +0100

LOn Tue, Apr 11, 2023, 21:08 João Távora <[email-masked]> wrote:

> .
>> >
>> > If this change can't go into emacs-29, I think it's better to add
>> > an M-x eglot-update to eglot.el.
>>
>> That's the worst of all worlds.
>>
>
> Why? It's the safest option. Absolutely no package.el regression possible,
> and doesn't solve a problem where you don't think I've exists.
>

Sorry, I meant to write "where you don't think one exists".

>
>> What is the problem with the two possible solutions I suggested?
>>
>
> They are incongruent and not very user friendly IMO.
>

Admittedly, eglot-update is also incongruent, of course, but at least that
problem is confined to a single package.

João